Bug 1445086 - Container volumes should honour tag visibility
Summary: Container volumes should honour tag visibility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: GA
: 5.8.0
Assignee: zakiva
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On: 1434879
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 21:48 UTC by Satoe Imaishi
Modified: 2017-05-31 14:59 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1434879
Environment:
Last Closed: 2017-05-31 14:59:40 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-24 21:51:03 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/521a761cb2583eb5b2cf1627f27c524d94c8f95a

commit 521a761cb2583eb5b2cf1627f27c524d94c8f95a
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Apr 24 16:30:20 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 17:49:26 2017 -0400

    Merge pull request #14517 from zakiva/fix_volumes_tag
    
    Container Volumes should honour tag visibility
    (cherry picked from commit d9cc1fd1c49a3aad898550a0609c21e2b9aa4dc8)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445086

 app/models/container_volume.rb | 1 +
 lib/miq_expression.rb          | 4 +++-
 lib/rbac/filterer.rb           | 1 +
 3 files changed, 5 insertions(+), 1 deletion(-)

Comment 3 Einat Pacifici 2017-05-10 09:00:35 UTC
Verified. Followed instructions on Description, new user with defined role, cannot see any of the objects for the attached provider.

Comment 5 errata-xmlrpc 2017-05-31 14:59:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.